package com.glxp.mipsdl.entity.auth;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

/**
 * 管理员表
 */
@Data
@TableName(value = "auth_user")
public class AuthUserEntity {

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 用户名
     */
    @TableField(value = "userName")
    private String userName;

    /**
     * 登录密码；sp_password加密
     */
    @TableField(value = "`passWord`")
    private String passWord;

    /**
     * 最后登录ip
     */
    @TableField(value = "lastLoginIp")
    private String lastLoginIp;

    /**
     * 注册时间
     */
    @TableField(value = "createTime")
    private Date createTime;

    /**
     * 用户状态 0：禁用； 1：正常 ；2：未验证
     */
    @TableField(value = "userFlag")
    private Integer userFlag;

    @TableField(value = "lastModifyTime")
    private Date lastModifyTime;

    @TableField(value = "comments")
    private String comments;

    @TableField(value = "employeeName")
    private String employeeName;

    @TableField(value = "CustomerId")
    private String customerId;

    @TableField(value = "lastLoginTime")
    private Date lastLoginTime;

    /**
     * 当前部门
     */
    @TableField(value = "locDeptCode")
    private String locDeptCode;

    /**
     * 当前仓库
     */
    @TableField(value = "locInvCode")
    private String locInvCode;

    public static final String COL_ID = "id";

    public static final String COL_USERNAME = "userName";

    public static final String COL_PASSWORD = "passWord";

    public static final String COL_LASTLOGINIP = "lastLoginIp";

    public static final String COL_CREATETIME = "createTime";

    public static final String COL_USERFLAG = "userFlag";

    public static final String COL_LASTMODIFYTIME = "lastModifyTime";

    public static final String COL_COMMENTS = "comments";

    public static final String COL_EMPLOYEENAME = "employeeName";

    public static final String COL_CUSTOMERID = "CustomerId";

    public static final String COL_LASTLOGINTIME = "lastLoginTime";

    public static final String COL_LOCDEPTCODE = "locDeptCode";

    public static final String COL_LOCINVCODE = "locInvCode";
}