package com.glxp.mipsdl.entity.basic;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

/**
 * 耗材字典关联表
 */
@Data
@TableName(value = "basic_udirel")
public class BasicUdirelEntity {

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 字典UUID
     */
    @TableField(value = "uuid")
    private String uuid;

    /**
     * 第三方主系统产品ID
     */
    @TableField(value = "mainId")
    private String mainId;

    /**
     * 第三方产品ID
     */
    @TableField(value = "thirdId")
    private String thirdId;

    /**
     * 第三方产品ID1
     */
    @TableField(value = "thirdId1")
    private String thirdId1;

    /**
     * 第三方产品ID2
     */
    @TableField(value = "thirdId2")
    private String thirdId2;

    /**
     * 第三方产品ID3
     */
    @TableField(value = "thirdId3")
    private String thirdId3;

    /**
     * 第三方产品ID4
     */
    @TableField(value = "thirdId4")
    private String thirdId4;

    /**
     * 阳光采购平台编码
     */
    @TableField(value = "udplatCode")
    private String udplatCode;

    /**
     * 是否以使用单元入库
     */
    @TableField(value = "isUseDy")
    private Boolean isUseDy;

    /**
     * 是否禁用
     */
    @TableField(value = "isDisable")
    private Boolean isDisable;

    /**
     * 是否锁定，锁定后不能再继续编辑
     */
    @TableField(value = "isLock")
    private Boolean isLock;

    /**
     * 1.未提交，2.已提交，3.已锁定
     */
    @TableField(value = "lockStatus")
    private Integer lockStatus;

    /**
     * 是否寄售（预入库)
     */
    @TableField(value = "isAdavence")
    private Boolean isAdavence;

    /**
     * 是否允许多次使用出库
     */
    @TableField(value = "useMuti")
    private Boolean useMuti;

    /**
     * 最小包装单元可使用次数
     */
    @TableField(value = "useNum")
    private Integer useNum;

    /**
     * 过滤供应商用
     */
    @TableField(value = "supName")
    private String supName;

    /**
     * 创建时间
     */
    @TableField(value = "createTime")
    private Date createTime;

    /**
     * 最後更新時間
     */
    @TableField(value = "updateTime")
    private String updateTime;

    /**
     * 修改时间
     */
    @TableField(value = "modifyTime")
    private Date modifyTime;

    /**
     * 创建人
     */
    @TableField(value = "`createUser`")
    private String createUser;

    /**
     * 更新人
     */
    @TableField(value = "updateUser")
    private String updateUser;

    @TableField(value = "remark")
    private String remark;

    public static final String COL_ID = "id";

    public static final String COL_UUID = "uuid";

    public static final String COL_MAINID = "mainId";

    public static final String COL_THIRDID = "thirdId";

    public static final String COL_THIRDID1 = "thirdId1";

    public static final String COL_THIRDID2 = "thirdId2";

    public static final String COL_THIRDID3 = "thirdId3";

    public static final String COL_THIRDID4 = "thirdId4";

    public static final String COL_UDPLATCODE = "udplatCode";

    public static final String COL_ISUSEDY = "isUseDy";

    public static final String COL_ISDISABLE = "isDisable";

    public static final String COL_ISLOCK = "isLock";

    public static final String COL_LOCKSTATUS = "lockStatus";

    public static final String COL_ISADAVENCE = "isAdavence";

    public static final String COL_USEMUTI = "useMuti";

    public static final String COL_USENUM = "useNum";

    public static final String COL_SUPNAME = "supName";

    public static final String COL_CREATETIME = "createTime";

    public static final String COL_UPDATETIME = "updateTime";

    public static final String COL_MODIFYTIME = "modifyTime";

    public static final String COL_CREATEUSER = "createUser";

    public static final String COL_UPDATEUSER = "updateUser";

    public static final String COL_REMARK = "remark";
}