package com.glxp.mipsdl.entity.thrsys;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

/**
 * 第三方单据类型表
 */
@Data
@TableName(value = "thr_bustype_origin")
public class ThrBustypeOriginEntity {

    /**
     * id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 单据类型名称
     */
    @TableField(value = "`name`")
    private String name;

    /**
     * 单据类型编码
     */
    @TableField(value = "`action`")
    private String action;

    /**
     * 第三方系统标识
     */
    @TableField(value = "thirdSys")
    private String thirdSys;

    /**
     * 0:启用；1:禁用
     */
    @TableField(value = "`enable`")
    private Boolean enable;

    /**
     * 出入库类型
     */
    @TableField(value = "inoutType")
    private Integer inoutType;

    /**
     * 更新时间
     */
    @TableField(value = "updateTime")
    private Date updateTime;

    /**
     * 备注
     */
    @TableField(value = "remark")
    private String remark;

    /**
     * 创建人
     */
    @TableField(value = "`createUser`")
    private String createUser;

    /**
     * 更新人
     */
    @TableField(value = "updateUser")
    private String updateUser;

    /**
     * 创建时间
     */
    @TableField(value = "createTime")
    private Date createTime;

    public static final String COL_ID = "id";

    public static final String COL_NAME = "name";

    public static final String COL_ACTION = "action";

    public static final String COL_THIRDSYS = "thirdSys";

    public static final String COL_ENABLE = "enable";

    public static final String COL_INOUTTYPE = "inoutType";

    public static final String COL_UPDATETIME = "updateTime";

    public static final String COL_REMARK = "remark";

    public static final String COL_CREATEUSER = "createUser";

    public static final String COL_UPDATEUSER = "updateUser";

    public static final String COL_CREATETIME = "createTime";
}