package com.glxp.mipsdl.res.udiwms;

import com.fasterxml.jackson.annotation.JsonIgnore;

import java.math.BigDecimal;
import java.util.List;

public class UdiwmsOrderResponse {

    private String billNo;
    private String billdate;
    private String corpId;
    private String corpName;
    private String billType; //单据类型

    @JsonIgnore
    private String signFlag;
    @JsonIgnore
    private String originType;
    private List<SubErpOrder> subErpOrders;

    private String startDate; //起始时间
    private String endDate; //结束时间
    private String billFlag; //单据状态
    private String createUser; //创建人
    private String reviewUser; //审核人
    private String address; //地址
    private String linkMan; //联系人
    private String linkTel; //电话
    private String remark; //| 备注

    private Integer id;
    private String locStorageCode;
    private String invWarehouseCode;//当前分库
    private String fromSubInvCode;  //往来分库

    private String thirdSysFk;


    //增加字段
    private String remark1; //备注1
    private String remark2; //备注2
    private String remark3; //备注3

    private String billTypeName;


    public List<SubErpOrder> getSubErpOrders() {
        return subErpOrders;
    }

    public void setSubErpOrders(List<SubErpOrder> subErpOrders) {
        this.subErpOrders = subErpOrders;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getLocStorageCode() {
        return locStorageCode;
    }

    public void setLocStorageCode(String locStorageCode) {
        this.locStorageCode = locStorageCode;
    }

    public String getInvWarehouseCode() {
        return invWarehouseCode;
    }

    public void setInvWarehouseCode(String invWarehouseCode) {
        this.invWarehouseCode = invWarehouseCode;
    }

    public String getFromSubInvCode() {
        return fromSubInvCode;
    }

    public void setFromSubInvCode(String fromSubInvCode) {
        this.fromSubInvCode = fromSubInvCode;
    }

    public String getThirdSysFk() {
        return thirdSysFk;
    }

    public void setThirdSysFk(String thirdSysFk) {
        this.thirdSysFk = thirdSysFk;
    }

    public String getRemark1() {
        return remark1;
    }

    public void setRemark1(String remark1) {
        this.remark1 = remark1;
    }

    public String getRemark2() {
        return remark2;
    }

    public void setRemark2(String remark2) {
        this.remark2 = remark2;
    }

    public String getRemark3() {
        return remark3;
    }

    public void setRemark3(String remark3) {
        this.remark3 = remark3;
    }

    public String getBillTypeName() {
        return billTypeName;
    }

    public void setBillTypeName(String billTypeName) {
        this.billTypeName = billTypeName;
    }

    public String getSignFlag() {
        return signFlag;
    }

    public String getStartDate() {
        return startDate;
    }

    public void setStartDate(String startDate) {
        this.startDate = startDate;
    }

    public String getEndDate() {
        return endDate;
    }

    public void setEndDate(String endDate) {
        this.endDate = endDate;
    }

    public String getBillFlag() {
        return billFlag;
    }

    public void setBillFlag(String billFlag) {
        this.billFlag = billFlag;
    }

    public String getCreateUser() {
        return createUser;
    }

    public void setCreateUser(String createUser) {
        this.createUser = createUser;
    }

    public String getReviewUser() {
        return reviewUser;
    }

    public void setReviewUser(String reviewUser) {
        this.reviewUser = reviewUser;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getLinkMan() {
        return linkMan;
    }

    public void setLinkMan(String linkMan) {
        this.linkMan = linkMan;
    }

    public String getLinkTel() {
        return linkTel;
    }

    public void setLinkTel(String linkTel) {
        this.linkTel = linkTel;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getBillNo() {
        return billNo;
    }

    public void setBillNo(String billNo) {
        this.billNo = billNo;
    }

    public String getBilldate() {
        return billdate;
    }

    public void setBilldate(String billdate) {
        this.billdate = billdate;
    }

    public String getCorpId() {
        return corpId;
    }

    public void setCorpId(String corpId) {
        this.corpId = corpId;
    }

    public String getCorpName() {
        return corpName;
    }

    public void setCorpName(String corpName) {
        this.corpName = corpName;
    }

    public String getBillType() {
        return billType;
    }

    public void setBillType(String billType) {
        this.billType = billType;
    }

    public String isSignFlag() {
        return signFlag;
    }

    public void setSignFlag(String signFlag) {
        this.signFlag = signFlag;
    }


    public String getOriginType() {
        return originType;
    }

    public void setOriginType(String originType) {
        this.originType = originType;
    }

    public static class SubErpOrder {
        private String productId; //产品编码
        private String productName;
        private String spec;
        private String batchNo;//批次号
        private String expireDate;//失效日期
        private String productDate; //生产日期
        private int count;  //账面数量
        private int reCount;    //实际数量

        private String detailId; //明细ID
        private String corpName; //往来单位
        private BigDecimal price; //单价
        private String remark;
        private String remark1; //备注1/规格型号ID
        private String remark2; //备注2/型号
        private String remark3; //备注3/规格


        private String orderIdFk;
        private String thirdSysFk;
        private String sweepCount;
        private String relId;       //基础信息关联表主键


        public String getOrderIdFk() {
            return orderIdFk;
        }

        public void setOrderIdFk(String orderIdFk) {
            this.orderIdFk = orderIdFk;
        }

        public String getThirdSysFk() {
            return thirdSysFk;
        }

        public void setThirdSysFk(String thirdSysFk) {
            this.thirdSysFk = thirdSysFk;
        }

        public String getSweepCount() {
            return sweepCount;
        }

        public void setSweepCount(String sweepCount) {
            this.sweepCount = sweepCount;
        }

        public String getRelId() {
            return relId;
        }

        public void setRelId(String relId) {
            this.relId = relId;
        }

        public String getDetailId() {
            return detailId;
        }

        public void setDetailId(String detailId) {
            this.detailId = detailId;
        }

        public String getCorpName() {
            return corpName;
        }

        public void setCorpName(String corpName) {
            this.corpName = corpName;
        }

        public BigDecimal getPrice() {
            return price;
        }

        public void setPrice(BigDecimal price) {
            this.price = price;
        }

        public String getProductId() {
            return productId;
        }

        public void setProductId(String productId) {
            this.productId = productId;
        }

        public String getProductName() {
            return productName;
        }

        public void setProductName(String productName) {
            this.productName = productName;
        }

        public String getSpec() {
            return spec;
        }

        public void setSpec(String spec) {
            this.spec = spec;
        }

        public String getBatchNo() {
            return batchNo;
        }

        public void setBatchNo(String batchNo) {
            this.batchNo = batchNo;
        }

        public String getExpireDate() {
            return expireDate;
        }

        public void setExpireDate(String expireDate) {
            this.expireDate = expireDate;
        }

        public String getProductDate() {
            return productDate;
        }

        public void setProductDate(String productDate) {
            this.productDate = productDate;
        }

        public int getCount() {
            return count;
        }

        public void setCount(int count) {
            this.count = count;
        }

        public int getReCount() {
            return reCount;
        }

        public void setReCount(int reCount) {
            this.reCount = reCount;
        }

        public String getRemark() {
            return remark;
        }

        public void setRemark(String remark) {
            this.remark = remark;
        }

        public String getRemark1() {
            return remark1;
        }

        public void setRemark1(String remark1) {
            this.remark1 = remark1;
        }

        public String getRemark2() {
            return remark2;
        }

        public void setRemark2(String remark2) {
            this.remark2 = remark2;
        }

        public String getRemark3() {
            return remark3;
        }

        public void setRemark3(String remark3) {
            this.remark3 = remark3;
        }
    }

}
